
From: Olaf Hering <olh@suse.de>

linux-2.6.12/arch/ppc/mm/init.c:565:7: warning: "CONFIG_8xx" is not defined

Signed-off-by: Olaf Hering <olh@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc/mm/init.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc/mm/init.c~ppc32-fix-wundef-warning-for-config_8xx arch/ppc/mm/init.c
--- devel/arch/ppc/mm/init.c~ppc32-fix-wundef-warning-for-config_8xx	2005-08-29 21:10:01.000000000 -0700
+++ devel-akpm/arch/ppc/mm/init.c	2005-08-29 21:10:21.000000000 -0700
@@ -563,7 +563,7 @@ void flush_dcache_icache_page(struct pag
 	void *start = kmap_atomic(page, KM_PPC_SYNC_ICACHE);
 	__flush_dcache_icache(start);
 	kunmap_atomic(start, KM_PPC_SYNC_ICACHE);
-#elif CONFIG_8xx
+#elif defined(CONFIG_8xx)
 	/* On 8xx there is no need to kmap since highmem is not supported */
 	__flush_dcache_icache(page_address(page)); 
 #else
_
